<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":4,"i2":2,"i3":4,"i4":2,"i5":2,"i6":1,"i7":1,"i8":2,"i9":2,"i10":1,"i11":2,"i12":2,"i13":2,"i14":2,"i15":1,"i16":2,"i17":2,"i18":2,"i19":2,"i20":2,"i21":2,"i22":2,"i23":2,"i24":2,"i25":2,"i26":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="qengine/engine/AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></td>
<th class="colLast" scope="row">
<div class="block">Base d'un moteur de requêtes RDF.</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="qengine/engine/AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a></td>
<th class="colLast" scope="row">
<div class="block">Énumération des implémentations de <a href="qengine/engine/AbstractEngine.html" title="class in qengine.engine"><code>AbstractEngine</code></a>.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></td>
<th class="colLast" scope="row">
<div class="block">Comparaison de deux moteurs en les faisant s'exécuter séquentiellement.</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="qengine/engine/comparator/AbstractEngineComparator.Impl.html" title="enum in qengine.engine.comparator">AbstractEngineComparator.Impl</a></td>
<th class="colLast" scope="row">
<div class="block">Énumération des implémentations de <a href="qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator"><code>AbstractEngineComparator</code></a>.</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="qengine/engine/CustomEngine.html" title="class in qengine.engine">CustomEngine</a></td>
<th class="colLast" scope="row">
<div class="block">Moteur de requêtes RDF très simplifié, créé dans le cadre de ce projet.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="qengine/engine/comparator/DefaultEngineComparator.html" title="class in qengine.engine.comparator">DefaultEngineComparator</a></td>
<th class="colLast" scope="row">
<div class="block">Comparaison textuelle dans un fichier généré en sortie.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a></td>
<th class="colLast" scope="row">
<div class="block">Dictionnaire des entrées d'une base de données au format RDF.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="qengine/engine/Engine.html" title="interface in qengine.engine">Engine</a></td>
<th class="colLast" scope="row">
<div class="block">Un moteur de requêtes RDF.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="qengine/dictionary/HashMapIndexedDictionary.html" title="class in qengine.dictionary">HashMapIndexedDictionary</a></td>
<th class="colLast" scope="row">
<div class="block">Cette implémentation utilise une liste contenant les données et une carte
 d'une donnée vers son indice dans la liste.</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></td>
<th class="colLast" scope="row">
<div class="block">Indexage d'un dictionnaire avec un hexastore, constitué de toutes les
 permutations possibles d'un <a href="qengine/index/triplestore/TripleStore.html" title="class in qengine.index.triplestore"><code>TripleStore</code></a>.</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="qengine/index/Index.html" title="interface in qengine.index">Index</a></td>
<th class="colLast" scope="row">
<div class="block">Indexage d'un <a href="qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary"><code>Dictionary</code></a>.</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="qengine/engine/JenaEngine.html" title="class in qengine.engine">JenaEngine</a></td>
<th class="colLast" scope="row">
<div class="block">Moteur de requêtes utilisant Jena.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="qengine/program/Main.html" title="class in qengine.program">Main</a></td>
<th class="colLast" scope="row">
<div class="block">Point d'entrée du programme.</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="qengine/index/triplestore/OPS.html" title="class in qengine.index.triplestore">OPS</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="qengine/index/triplestore/OSP.html" title="class in qengine.index.triplestore">OSP</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern">Pattern</a></td>
<th class="colLast" scope="row">
<div class="block">Traduction en triplet d'indices d'un
 <code>org.eclipse.rdf4j.query.algebra.StatementPattern</code>.</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="qengine/index/triplestore/POS.html" title="class in qengine.index.triplestore">POS</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="qengine/query/projection/ProjectionUtils.html" title="class in qengine.query.projection">ProjectionUtils</a></td>
<th class="colLast" scope="row">
<div class="block">Classe utilitaire pour les projections.</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="qengine/index/triplestore/PSO.html" title="class in qengine.index.triplestore">PSO</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="qengine/engine/RDF4JEngine.html" title="class in qengine.engine">RDF4JEngine</a></td>
<th class="colLast" scope="row">
<div class="block">Moteur de requêtes utilisant RDF4J.</div>
</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="qengine/index/triplestore/SOP.html" title="class in qengine.index.triplestore">SOP</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="qengine/index/triplestore/SPO.html" title="class in qengine.index.triplestore">SPO</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></td>
<th class="colLast" scope="row">
<div class="block">Un chronomètre qui mémorise des durées en leur associant un nom.</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></td>
<th class="colLast" scope="row">
<div class="block">Patron contenant une projection sur le sujet.</div>
</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector">SubjectPatternCollector</a></td>
<th class="colLast" scope="row">
<div class="block">Un <code>QueryModelVisitor</code> qui collectionne
 les traductions de <code>StatementPattern</code>
 en <a href="qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern"><code>SubjectPattern</code></a>.</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="qengine/index/triplestore/TripleStore.html" title="class in qengine.index.triplestore">TripleStore</a></td>
<th class="colLast" scope="row">
<div class="block">Indexage de triplets.</div>
</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="qengine/engine/comparator/VerboseEngineComparator.html" title="class in qengine.engine.comparator">VerboseEngineComparator</a></td>
<th class="colLast" scope="row">
<div class="block">Comparaison textuelle dans le terminal.</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
